Streamlit
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
POST | |
GET | |
POST | |
POST | |
POST | |
GET | |
POST | |
GET | |
POST | |
POST | |
GET |
List all streamlit apps
Required API key scopes
streamlit_app:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /streamlit_appsExample response
Status 200
RESPONSE
Create streamlit apps
Required API key scopes
streamlit_app:writeRequest parameters
- namestring
- descriptionstring
- cpu_coresnumber
- memory_gbnumber
Response
Example request
POST /api /projects /:project_id /streamlit_appsExample response
Status 201
RESPONSE
Retrieve streamlit apps
Required API key scopes
streamlit_app:readPath parameters
- short_idstring
Response
Example request
GET /api /projects /:project_id /streamlit_apps /:short_idExample response
Status 200
RESPONSE
Update streamlit apps
Required API key scopes
streamlit_app:writePath parameters
- short_idstring
Request parameters
- namestring
- descriptionstring
- cpu_coresnumber
- memory_gbnumber
Response
Example request
PATCH /api /projects /:project_id /streamlit_apps /:short_idExample response
Status 200
RESPONSE
Delete streamlit apps
Required API key scopes
streamlit_app:writePath parameters
- short_idstring
Example request
DELETE /api /projects /:project_id /streamlit_apps /:short_idExample response
Status 204 No response body
Create streamlit apps activate version
Required API key scopes
streamlit_app:writequery:readPath parameters
- short_idstring
Request parameters
- version_numberinteger
Response
Example request
POST /api /projects /:project_id /streamlit_apps /:short_id /activate_versionExample response
Status 200
RESPONSE
Retrieve streamlit apps connect info
Required API key scopes
streamlit_app:readquery:readPath parameters
- short_idstring
Response
Example request
GET /api /projects /:project_id /streamlit_apps /:short_id /connect_infoExample response
Status 200
RESPONSE
Create streamlit apps create version from source
Required API key scopes
streamlit_app:writequery:readPath parameters
- short_idstring
Request parameters
- sourcestring
- filesobject
- assetsobject
Response
Example request
POST /api /projects /:project_id /streamlit_apps /:short_id /create_version_from_sourceExample response
Status 201
RESPONSE
Create streamlit apps edit source
Applies exact text edits, file creations, and file deletions to base_version, then stores the result as a new active version. Files that no change touches stay byte-for-byte the same.
Required API key scopes
streamlit_app:writequery:readPath parameters
- short_idstring
Request parameters
- base_versioninteger
- file_editsarray
- create_filesobject
- delete_filesarray
Response
Example request
POST /api /projects /:project_id /streamlit_apps /:short_id /edit_sourceExample response
Status 201
RESPONSE
Status 400
RESPONSE
Status 409
RESPONSE
Create streamlit apps restart
Required API key scopes
streamlit_app:writequery:readPath parameters
- short_idstring
Response
Example request
POST /api /projects /:project_id /streamlit_apps /:short_id /restartExample response
Status 202
RESPONSE
Retrieve streamlit apps source
Returns the file manifest of a version and the text of each text file. Binary files appear in the manifest without content.
Required API key scopes
streamlit_app:readPath parameters
- short_idstring
Query parameters
- pathsstring
- version_numberinteger
Response
Example request
GET /api /projects /:project_id /streamlit_apps /:short_id /sourceExample response
Status 200
RESPONSE
Create streamlit apps start
Required API key scopes
streamlit_app:writequery:readPath parameters
- short_idstring
Response
Example request
POST /api /projects /:project_id /streamlit_apps /:short_id /startExample response
Status 200
RESPONSE
Status 202
RESPONSE
Retrieve streamlit apps status
Required API key scopes
streamlit_app:readPath parameters
- short_idstring
Response
Example request
GET /api /projects /:project_id /streamlit_apps /:short_id /statusExample response
Status 200
RESPONSE
Create streamlit apps stop
Required API key scopes
streamlit_app:writePath parameters
- short_idstring
Response
Example request
POST /api /projects /:project_id /streamlit_apps /:short_id /stopExample response
Status 200
RESPONSE
Create streamlit apps upload version
Required API key scopes
streamlit_app:writequery:readPath parameters
- short_idstring
Request parameters
- filestring
Response
Example request
POST /api /projects /:project_id /streamlit_apps /:short_id /upload_versionExample response
Status 201
RESPONSE
Retrieve streamlit apps versions
Required API key scopes
streamlit_app:readPath parameters
- short_idstring
Response
Example request
GET /api /projects /:project_id /streamlit_apps /:short_id /versionsExample response
Status 200
RESPONSE











